<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsDeviceModePS Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_xs_device_mode_p_s-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsDeviceModePS Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Stores device modes using period and skip factor.  
 <a href="struct_xs_device_mode_p_s.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac852dca80e1781d0720117099c9a9d01"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac852dca80e1781d0720117099c9a9d01"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_p_s.html#ac852dca80e1781d0720117099c9a9d01">XsDeviceModePS</a> (const <a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375">XsOutputMode</a> mode=XS_DEFAULT_OUTPUT_MODE, const <a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a">XsOutputSettings</a> settings=XS_DEFAULT_OUTPUT_SETTINGS, const uint16_t period=1152, const uint16_t skip=0)</td></tr>
<tr class="memdesc:ac852dca80e1781d0720117099c9a9d01"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor, initializes to the given (default) MT settings <br /></td></tr>
<tr class="separator:ac852dca80e1781d0720117099c9a9d01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8a90b8531baab540f40e7a10d7fedfb"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_p_s.html#ae8a90b8531baab540f40e7a10d7fedfb">updateRate</a> (void) const </td></tr>
<tr class="memdesc:ae8a90b8531baab540f40e7a10d7fedfb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the update rate in Hz.  <a href="#ae8a90b8531baab540f40e7a10d7fedfb">More...</a><br /></td></tr>
<tr class="separator:ae8a90b8531baab540f40e7a10d7fedfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79379c2d7dc8c5ff6af215c21a2ce885"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_p_s.html#a79379c2d7dc8c5ff6af215c21a2ce885">setUpdateRate</a> (int rate)</td></tr>
<tr class="memdesc:a79379c2d7dc8c5ff6af215c21a2ce885"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the period and skip factor from an update rate and store them.  <a href="#a79379c2d7dc8c5ff6af215c21a2ce885">More...</a><br /></td></tr>
<tr class="separator:a79379c2d7dc8c5ff6af215c21a2ce885"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7a0e839806825652b10761e309a0913"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af7a0e839806825652b10761e309a0913"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_p_s.html#af7a0e839806825652b10761e309a0913">operator==</a> (const <a class="el" href="struct_xs_device_mode_p_s.html">XsDeviceModePS</a> &amp;dev) const </td></tr>
<tr class="memdesc:af7a0e839806825652b10761e309a0913"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if all fields of the two structures are equal. <br /></td></tr>
<tr class="separator:af7a0e839806825652b10761e309a0913"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad2772c6b91f3008b697a3848842dd1f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2772c6b91f3008b697a3848842dd1f2"></a>
<a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375">XsOutputMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_p_s.html#ad2772c6b91f3008b697a3848842dd1f2">m_outputMode</a></td></tr>
<tr class="memdesc:ad2772c6b91f3008b697a3848842dd1f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The output mode. <br /></td></tr>
<tr class="separator:ad2772c6b91f3008b697a3848842dd1f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a543811f2ba89a328887fe85b129fe6b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a543811f2ba89a328887fe85b129fe6b6"></a>
<a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a">XsOutputSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_p_s.html#a543811f2ba89a328887fe85b129fe6b6">m_outputSettings</a></td></tr>
<tr class="memdesc:a543811f2ba89a328887fe85b129fe6b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The output settings. <br /></td></tr>
<tr class="separator:a543811f2ba89a328887fe85b129fe6b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a817d378ea4940f984c7413f0ef3fa6c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a817d378ea4940f984c7413f0ef3fa6c9"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_p_s.html#a817d378ea4940f984c7413f0ef3fa6c9">m_period</a></td></tr>
<tr class="memdesc:a817d378ea4940f984c7413f0ef3fa6c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">The sample period in 1/115200 seconds. <br /></td></tr>
<tr class="separator:a817d378ea4940f984c7413f0ef3fa6c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9683cdac777a08f281b6777fdc14b1c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9683cdac777a08f281b6777fdc14b1c2"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_p_s.html#a9683cdac777a08f281b6777fdc14b1c2">m_skip</a></td></tr>
<tr class="memdesc:a9683cdac777a08f281b6777fdc14b1c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The output skip factor. <br /></td></tr>
<tr class="separator:a9683cdac777a08f281b6777fdc14b1c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Stores device modes using period and skip factor. </p>
<dl class="section note"><dt>Note</dt><dd>MT Mk4 devices are better configured using <a class="el" href="struct_xs_output_configuration.html" title="Single data type output configuration. ">XsOutputConfiguration</a>, this object is supplied for legacy support only. </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="struct_xs_device_mode.html" title="Contains the output configuration of a device. ">XsDeviceMode</a> </dd>
<dd>
<a class="el" href="struct_xs_device_mode_r.html" title="A structure for storing device modes. ">XsDeviceModeR</a> </dd></dl>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a79379c2d7dc8c5ff6af215c21a2ce885"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceModePS::setUpdateRate </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rate</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Compute the period and skip factor from an update rate and store them. </p>
<p>This function computes the best period and skip factor from the given update <em>rate</em> and stores them in the object. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rate</td><td>The desired update rate </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae8a90b8531baab540f40e7a10d7fedfb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int XsDeviceModePS::updateRate </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the update rate in Hz. </p>
<p>This may be up to 2Hz different from the value that is set in setUpdatRate due to hardware limitations at high update rates. </p><dl class="section return"><dt>Returns</dt><dd>The update rate in Hz </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
